Bug 901 - doesn't resume downloading of a single index file
Summary: doesn't resume downloading of a single index file
Status: CLOSED WONTFIX
Alias: None
Product: Sisyphus
Classification: Development
Component: apt (show other bugs)
Version: unstable
Hardware: all Linux
: P4 minor
Assignee: Gleb F-Malinovskiy
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-09 16:58 MSD by imz
Modified: 2014-12-20 16:25 MSK (History)
8 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description imz 2002-05-09 16:58:49 MSD
apt-0.3.19cnc55-alt3, when only a single source is present in its configuration, is almost unusable because it does not resume interrupted downloads when doing apt-get update:

if it fails with \'Data socket timed out\', then the next run if apt-get update prints the old percantage at the first moment, but then clears it it to 0% and starts downloading the index file from the beginning.

The process is very unprobable to finish successfully on a bad link.

---

---

Comment 1 Michael Shigorin 2012-05-26 11:36:57 MSK
IMHO WONTFIX for apt
Comment 2 Michael Shigorin 2014-12-20 16:25:22 MSK
APPARENTLY WONTFIX